#! /usr/bin/env python

import sys, os
import eyeD3
from eyeD3.frames import TITLE_FID, id3EncodingToString
from m_lib.defenc import default_encoding

def id3tag_recode(value):
    try:
        return value.encode(default_encoding)
    except UnicodeEncodeError:
        return value.encode('latin1')

files = sys.argv[1:]
for i, filename  in enumerate(files):
    id3tag = eyeD3.Tag()
    id3tag.link(filename)
    title = id3tag_recode(id3tag.getTitle())
    os.rename(filename, '%d - %s.mp3' % (i+1, title))
